<?xml version="1.0"?>
<MarkConfig xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <StudsMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>BottomStud</StudsType>
      <FramingMember>Bottom Plate</FramingMember>
      <FramingMemberDescription>Bottom Plate</FramingMemberDescription>
      <FramingMemberType>Plate</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>BP</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>TopStud</StudsType>
      <FramingMember>Top Plate</FramingMember>
      <FramingMemberDescription>Top Plate</FramingMemberDescription>
      <FramingMemberType>Plate</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>TP</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>BottomPad</StudsType>
      <FramingMember>Bottom Plate</FramingMember>
      <FramingMemberDescription>Bottom Plate</FramingMemberDescription>
      <FramingMemberType>Plate</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>BP</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>TopCover</StudsType>
      <FramingMember>Top Plate</FramingMember>
      <FramingMemberDescription>Top Plate</FramingMemberDescription>
      <FramingMemberType>Plate</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>TP</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>BottomStud</StudsType>
      <FramingMember>Bottom Plate</FramingMember>
      <FramingMemberDescription>Bottom Plate</FramingMemberDescription>
      <FramingMemberType>Plate</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>BP</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>TopStud</StudsType>
      <FramingMember>Top Plate</FramingMember>
      <FramingMemberDescription>Top Plate</FramingMemberDescription>
      <FramingMemberType>Plate</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>TP</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>WallEndLEnd</StudsType>
      <FramingMember>Vertical Stud</FramingMember>
      <FramingMemberDescription>Vertical Stud</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>VS</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>WallEndFEnd</StudsType>
      <FramingMember>Vertical Stud</FramingMember>
      <FramingMemberDescription>Vertical Stud</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>VS</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>VerticalStud</StudsType>
      <FramingMember>Vertical Stud</FramingMember>
      <FramingMemberDescription>Vertical Stud</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>VS</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>KingStud</StudsType>
      <FramingMember>King Stud</FramingMember>
      <FramingMemberDescription>King Stud</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>KS</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>TrimmerStud</StudsType>
      <FramingMember>Trimmer</FramingMember>
      <FramingMemberDescription>Trimmer</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>TS</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>TopTrimmerStud</StudsType>
      <FramingMember>Top Trimmer</FramingMember>
      <FramingMemberDescription>Top Trimmer</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>TT</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>BottomTrimmerStud</StudsType>
      <FramingMember>Bottom Trimmer</FramingMember>
      <FramingMemberDescription>Bottom Trimmer</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>BT</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>TopCrippleStud</StudsType>
      <FramingMember>Top Cripple</FramingMember>
      <FramingMemberDescription>Top Cripple</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>TC</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>BottomCripleStud</StudsType>
      <FramingMember>Bottom Cripple</FramingMember>
      <FramingMemberDescription>Bottom Cripple</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>BC</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>SillStud</StudsType>
      <FramingMember>Sill Plate</FramingMember>
      <FramingMemberDescription>Sill Plate</FramingMemberDescription>
      <FramingMemberType>Plate</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>SP</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>HeaderStud</StudsType>
      <FramingMember>Lintel</FramingMember>
      <FramingMemberDescription>Lintel Beam</FramingMemberDescription>
      <FramingMemberType>Beam</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>LB</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>TopSupportHeaderStud</StudsType>
      <FramingMember>Top Header</FramingMember>
      <FramingMemberDescription>Top Header</FramingMemberDescription>
      <FramingMemberType>Plate</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>THP</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>TJoinStud</StudsType>
      <FramingMember>Vertical Stud</FramingMember>
      <FramingMemberDescription>Vertical Stud</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>VS</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>RidgeStud</StudsType>
      <FramingMember>Ridge Stud</FramingMember>
      <FramingMemberDescription>Ridge Stud</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>RS</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>NoggingStud</StudsType>
      <FramingMember>Nogging</FramingMember>
      <FramingMemberDescription>Beam</FramingMemberDescription>
      <FramingMemberType>Beam</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>NB</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>VerticalNoggingStud</StudsType>
      <FramingMember>Secondary Bridging/Nogging/Blocking</FramingMember>
      <FramingMemberDescription>Beam</FramingMemberDescription>
      <FramingMemberType>Beam</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>NB</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>VerticalFreeNoggingStud</StudsType>
      <FramingMember>Secondary Bridging/Nogging/Blocking</FramingMember>
      <FramingMemberDescription>Beam</FramingMemberDescription>
      <FramingMemberType>Beam</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>NB</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>BracingStud</StudsType>
      <FramingMember>Brace</FramingMember>
      <FramingMemberDescription>Brace</FramingMemberDescription>
      <FramingMemberType>Brace</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>BB</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>BracingGroupStud</StudsType>
      <FramingMember>Brace Group</FramingMember>
      <FramingMemberDescription>Brace Group</FramingMemberDescription>
      <FramingMemberType>Brace Group</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>BG</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>SheetingWallOrPart</StudsType>
      <FramingMember>Sheeting</FramingMember>
      <FramingMemberDescription>Sheeting</FramingMemberDescription>
      <FramingMemberType>Sheeting</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>SH</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>Assembly</StudsType>
      <FramingMember>Assembly</FramingMember>
      <FramingMemberDescription>Assembly</FramingMemberDescription>
      <FramingMemberType>Assembly</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>AS</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>VJoinStud</StudsType>
      <FramingMember>Vertical Stud</FramingMember>
      <FramingMemberDescription>Vertical Stud</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>VS</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>BlockStud</StudsType>
      <FramingMember>Block Stud</FramingMember>
      <FramingMemberDescription>Block Stud</FramingMemberDescription>
      <FramingMemberType>Stud</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>BS</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>CutOpeningStud</StudsType>
      <FramingMember>Cut Openings</FramingMember>
      <FramingMemberDescription>Beam</FramingMemberDescription>
      <FramingMemberType>Beam</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>CO</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>HorAdditionalElementStud</StudsType>
      <FramingMember>Support</FramingMember>
      <FramingMemberDescription>Support</FramingMemberDescription>
      <FramingMemberType>Support</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>SP</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>VerAdditionalElementStud</StudsType>
      <FramingMember>SupportV</FramingMember>
      <FramingMemberDescription>SupportV</FramingMemberDescription>
      <FramingMemberType>SupportV</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>SPV</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>VerHoleElement</StudsType>
      <FramingMember>Hole</FramingMember>
      <FramingMemberDescription>Hole</FramingMemberDescription>
      <FramingMemberType>Hole</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>HO</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>DetailsOnHorizontal</StudsType>
      <FramingMember>Connection</FramingMember>
      <FramingMemberDescription>Connection</FramingMemberDescription>
      <FramingMemberType>Connection</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>C</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>DetailsOnVerticalFace</StudsType>
      <FramingMember>Connection</FramingMember>
      <FramingMemberDescription>Connection</FramingMemberDescription>
      <FramingMemberType>Connection</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>C</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>DetailsOnStud</StudsType>
      <FramingMember>Connection</FramingMember>
      <FramingMemberDescription>Connection</FramingMemberDescription>
      <FramingMemberType>Connection</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>C</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>Sheeting2</StudsType>
      <FramingMember>Sheeting</FramingMember>
      <FramingMemberDescription>Sheeting</FramingMemberDescription>
      <FramingMemberType>Sheeting</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>SH</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>MainFramePart</StudsType>
      <FramingMember>Insulation</FramingMember>
      <FramingMemberDescription>Insulation</FramingMemberDescription>
      <FramingMemberType>Insulation</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>IN</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
    <StudMarkParameters>
      <ConfigurationType>Wood</ConfigurationType>
      <StudsType>PreassembledOpening</StudsType>
      <FramingMember>Module</FramingMember>
      <FramingMemberDescription>Module</FramingMemberDescription>
      <FramingMemberType>Module</FramingMemberType>
      <FmWoodGrade />
      <FramingMemberMark>MD</FramingMemberMark>
      <FramingLayer>Frame</FramingLayer>
      <Framing>Wall</Framing>
    </StudMarkParameters>
  </StudsMarkParameters>
  <FrameConfigurationType>Wood</FrameConfigurationType>
</MarkConfig>